EnderDashEnderDash

List Alert Deliveries

List Alert Deliveries. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

GET
/activity.listAlertDeliveries

List Alert Deliveries. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Query Parameters

Response Body

application/json

application/json

curl -X GET "https://app.enderdash.com/api/trpc/activity.listAlertDeliveries?input=%7B%22organizationId%22%3A%22string%22%2C%22limit%22%3A0%7D"
{  "result": {    "data": [      {        "createdAt": "2019-08-24T14:15:22Z",        "deliveredAt": "2019-08-24T14:15:22Z",        "destinationId": "string",        "destinationName": "string",        "error": "string",        "eventId": "string",        "eventKind": "string",        "eventSeverity": "string",        "eventTitle": "string",        "id": "string",        "responseStatus": 0,        "ruleId": "string",        "ruleName": "string",        "status": "string"      }    ]  }}